streamf_cavity.icc File Reference

The stream function for the 3D driven cavity benchmark. More...

Go to the source code of this file.

## Functions

void | streamf_cavity_solver (const space &Xh, problem &pa, form &a, form &b)
field | streamf (const field &uh, const problem &pa, const form &a, const form &b)

## Detailed Description

The stream function for the 3D driven cavity benchmark.

This file is part of Rheolef.

Copyright (C) 2000-2018 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file streamf_cavity.icc.

## Function Documentation

## streamf_cavity_solver()

void streamf_cavity_solver | ( | const space & | Xh,
|  | problem & | pa,
|  | form & | a,
|  | form & | b
| ) |  |

Examples
  streamf_cavity.icc.

Definition at line 25 of file streamf_cavity.icc.

## streamf()

field streamf | ( | const field & | uh,
|  | const problem & | pa,
|  | const form & | a,
|  | const form & | b
| ) |  |

Examples
  streamf_cavity.icc.

Definition at line 42 of file streamf_cavity.icc.